https://bugs.gentoo.org/894314
https://gitlab.freedesktop.org/mesa/glu/-/merge_requests/10

From b6c308172993dfd0f76ee9f4fe083cff8c51ced8 Mon Sep 17 00:00:00 2001
From: Khem Raj <raj.khem@gmail.com>
Date: Fri, 13 Jan 2023 20:58:07 -0800
Subject: [PATCH] Remove deprecated register in C++17

Fixes errors like

src/libnurbs/internals/varray.cc:76:5: error: ISO C++17 does not allow 'register' storage class specifier [-Wregister]
    register long ds = sgn(arc->tail()[0] - arc->prev->tail()[0]);
    ^~~~~~~~~

Signed-off-by: Khem Raj <raj.khem@gmail.com>
--- a/src/libnurbs/internals/varray.cc
+++ b/src/libnurbs/internals/varray.cc
@@ -73,8 +73,8 @@ Varray::~Varray( void )
 inline void
 Varray::update( Arc_ptr arc, long dir[2], REAL val )
 {
-    register long ds = sgn(arc->tail()[0] - arc->prev->tail()[0]);
-    register long dt = sgn(arc->tail()[1] - arc->prev->tail()[1]);
+    long ds = sgn(arc->tail()[0] - arc->prev->tail()[0]);
+    long dt = sgn(arc->tail()[1] - arc->prev->tail()[1]);
 
     if( dir[0] != ds || dir[1] != dt ) {
 	dir[0] = ds;
-- 
GitLab
